<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#projectTable').bootstrapTable({
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	           showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）     
               cache: false,    
               //是否显示分页（*）  
               pagination: true,   
                //排序方式 
               sortOrder: "asc",  
               //初始化加载第一页，默认第一页
               pageNumber:1,   
               //每页的记录行数（*）   
               pageSize: 5,
               //可供选择的每页的行数（*）    
               pageList: [5,10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据  
               url: "${ctx}/sg/managementcenter/project/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',   
               ////查询参数,每次调用是会带上这个参数，可自定义                         
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
                   if($el.data("item") == "edit"){
                   		edit(row.id);
                   }else if($el.data("item") == "view"){
                       view(row.id);
                   } else if($el.data("item") == "delete"){
                        jp.confirm('确认要删除该表单记录吗？', function(){
                       	jp.loading();
                       	jp.get("${ctx}/sg/managementcenter/project/delete?id="+row.id, function(data){
                   	  		if(data.success){
                   	  			$('#projectTable').bootstrapTable('refresh');
                   	  			jp.success(data.msg);
                   	  		}else{
                   	  			jp.error(data.msg);
                   	  		}
                   	  	})
                   	   
                   	});
                      
                   } 
               },
              
               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [{
		        checkbox: true
		       
		    }
			,{
		        field: 'requireName',
		        title: '项目需求名称',
                width:160
                ,formatter:function(value, row , index){

                if(value == null || value ==""){
                    value = "-";
                }
                <c:choose>
                    <c:when test="${fns:hasPermission('sg:managementcenter:project:edit')}">
                    return "<a href='javascript:edit(\""+row.id+"\")'>"+value+"</a>";
                </c:when>
                    <c:when test="${fns:hasPermission('sg:managementcenter:project:view')}">
                    return "<a href='javascript:view(\""+row.id+"\")'>"+value+"</a>";
                </c:when>
                    <c:otherwise>
                    return value;
                </c:otherwise>
                </c:choose>
                }

            }
                   ,{
                       field: 'projectNumber',
                       title: '工程定义号',
                       width:120

                   }
                   ,{
                       field: 'reserveNumber',
                       title: '储备编号',
                       width:110

                   }
                   ,{
                       field: 'projectId',
                       title: '工程编号',
                       width:110

                   }
                   ,{
                       field: 'projectName',
                       title: '项目名称',
                       width:110
                   }
                   ,{
                       field: 'projectManageRole',
                       title: '配网项目经理',
                       width:110
                   }
                   ,{
                       field: 'type',
                       title: '类型',
                       width:50


                   }
                   ,{
                       field: 'demandUnit',
                       title: '需求提出单位',
                       width:120

                   }
                   ,{
                       field: 'bdzName',
                       title: '变电站名称',
                       width:100

                   }
                   ,{
                       field: 'lineName',
                       title: '线路名称',
                       width:90

                   }
                   ,{
                       field: 'distributionEngineering',
                       title: '配网工程专职角色',
                       width:150

                   }
                   ,{
                       field: 'distributionMaterials',
                       title: '配网物资专职角色',
                       width:150

                   }
                   ,{
                       field: 'distributionSystem',
                       title: '配网系统专职角色',
                       width:150

                   }
                   ,{
                       field: 'distributionPolicy',
                       title: '配网政策处理专职角色',
                       width:150
                   }
                   ,{
                       field: 'managementLeader',
                       title: '项目管理中心领导角色',
                       width:150
                   }
                   ,{
                       field: 'skillByFull',
                       title: '项目管理中心技经专职',
                       width:150
                   }
                   ,{
                       field: 'runUnit',
                       title: '运行单位',
                       width:90
                   }
                   ,{
                       field: 'runUnitRole',
                       title: '运行单位储备专职',
                       width:150
                   }
                   ,{
                       field: 'runUnitInspectionRole',
                       title: '运行单位运检专职',
                       width:100
                   }
                   ,{
                       field: 'throughResearchRole',
                       title: '经研所角色',
                       width:90
                   }
                   ,{
                       field: 'constructionContractUnit',
                       title: '施工合同单位',
                       width:110
                   }
                   ,{
                       field: 'constructionContractRate',
                       title: '施工合同率',
                       width:110
                   }
                   ,{
                       field: 'constructionContractSub',
                       title: '施工分包单位',
                       width:110
                   }
                   ,{
                       field: 'constructionUnit',
                       title: '施工单位',
                       width:120
                   }
                   ,{
                       field: 'constructionUnitRole',
                       title: '施工单位物资专职',
                       width:110
                   }
                   ,{
                       field: 'constructionUnitManage',
                       title: '施工单位项目经理',
                       width:130
                   }
                   ,{
                       field: 'constructionUnitLeader',
                       title: '施工单位领导',
                       width:110
                   }
                   ,{
                       field: 'constructionSkillByFull',
                       title: '施工单位技经专职',
                       width:130
                   }
                   ,{
                       field: 'designUnit',
                       title: '设计单位',
                       width:110
                   }
                   ,{
                       field: 'designUnitManage',
                       title: '设计单位设计人员',
                       width:130
                   }
                   ,{
                       field: 'designUnitLeader',
                       title: '设计单位领导',
                       width:110
                   }
                   ,{
                       field: 'clarificaitonType',
                       title: '交底类型',
                       width:100
                   }
					,{
						field: 'bulidClassificationResons',
						title: '建设理由分类',
						width:110

					}
                   ,{
                       field: 'bulbidResons',
                       title: '建设理由',
					   width:320


                   }
                   ,{
                       field: 'asicEquipment',
                       title: '设备基本情况',
                       width:200

                   }
                   ,{
                       field: 'runTheClass',
                       title: '运行班',
                       width:100

                   }
                   ,{
                       field: 'costEstimate',
                       title: '费用估算',
                       width:100

                   }
                   ,{
                       field: 'whetherRheUpwind',
                       title: '是否迎风期度夏项目',
                       width:150

                   }
                   ,{
                       field: 'sureDaDate',
                       title: '确定下达时间',
                       width:110

                   }
                   ,{
                       field: 'textRemark',
                       title: '备注',
                       width:100
                   }

                   ,{
                       field: 'powerLine',
                       title: '停电线路',
                       width:120
                   }
                   ,{
                       field: 'powerScope',
                       title: '停电范围',
                       width:400
                   }
                   ,{
                       field: 'projectType',
                       title: '项目类型',
                       width:300
                   }
                   ,{
                       field: 'powerFlagPackage',
                       title: '是否为停电打包项目',
                       width:150
                   }
                   ,{
                       field: 'preliminaryJudgment',
                       title: '证处初步判断',
                       width:220
                   }
                   ,{
                       field: 'flagCivilEngineering',
                       title: '是否含土建（不含钢管杆）',
                       width:200
                   }
                   ,{
                       field: 'steelTubePole',
                       title: '钢管杆基础类型',
                       width:160
                   }
                   ,{
                       field: 'flagApprovalPlanning',
                       title: '是否需要规矩报批',
                       width:170
                   }
                   ,{
                       field: 'equCreateType',
                       title: '设备改造类型',
                       width:160
                   }
                   ,{
                       field: 'equCreateSize',
                       title: '改造设备尺寸及间隔数',
                       width:200
                   }
                   ,{
                       field: 'flagNewEquName',
                       title: '是否新设备命名',
                       width:160
                   }
                   ,{
                       field: 'includeBdzNews',
                       title: '是否含变电站新闻格投运',
                       width:200
                   }
                   ,{
                       field: 'flagNoElectrical',
                       title: '是否非涉电电气施工',
                       width:200
                   }
                   ,{
                       field: 'drawingsWork',
                       title: '图纸标注的带点作业情况',
                       width:200
                   }
                   ,{
                       field: 'flagAutomation',
                       title: '是否含自动化',
                       width:120
                   }
                   ,{
                       field: 'twoAndThreeRemote',
                       title: '二摇或三摇',
                       width:120
                   }
                   ,{
                       field: 'phoneStyle',
                       title: '通信方式',
                       width:120
                   }
                   ,{
                       field: 'stayOpenArea',
                       title: '柱开集中或就业地',
                       width:160
                   }
                   ,{
                       field: 'ringNetworkCabinet',
                       title: '环网柜DTU户内或户外',
                       width:150
                   }
                   ,{
                       field: 'automatedRemarks',
                       title: '自动化备注',
                       width:120
                   }
                   ,{
                       field: 'stationDtu',
                       title: '站房DTU',
                       width:120
                   }

		     ]
		
		});
		
		  
	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端

		 
		  $('#projectTable').bootstrapTable("toggleView");
		}
	  
	  $('#projectTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#projectTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#projectTable').bootstrapTable('getSelections').length!=1);
        });
		  
		$("#btnImport").click(function(){
			jp.open({
			    type: 2,
                area: [500, 200],
                auto: true,
			    title:"导入数据",
			    content: "${ctx}/tag/importExcel" ,
			    btn: ['确定', '关闭'],
			    	btn1: function(index, layero){
				        var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
						iframeWin.contentWindow.importExcel('${ctx}/sg/managementcenter/project/import', function (data) {
							if(data.success){
								jp.success(data.msg);
								refresh();
							}else{
								jp.error(data.msg);
							}
                            jp.close(index);
						});//调用保存事件
						return false;
				  	},

				  btn2: function(index){
					//  jp.close(index);
	    	       }
			}); 
		});
    $("#btnImportPicking").click(function(){
        jp.open({
            type: 2,
            area: [500, 200],
            auto: true,
            title:"导入领料单",
            content: "${ctx}/tag/importExcel" ,
            btn: ['确定', '关闭'],
            btn1: function(index, layero){
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                iframeWin.contentWindow.importExcel('${ctx}/sg/managementcenter/project/importPicking', function (data) {
                    if(data.success){
                        jp.success(data.msg);
                        refresh();
                    }else{
                        jp.error(data.msg);
                    }
                    jp.close(index);
                });//调用保存事件
                return false;
            },

            btn2: function(index){
                //  jp.close(index);
            }
        });
    });
	 $("#export").click(function(){//导出Excel文件
			jp.downloadFile('${ctx}/sg/managementcenter/project/export');
	  });
    // $("#export1").click(function(){//导出Excel文件
    //     jp.downloadFile('${ctx}/sg/managementcenter/project/export1');
    // });

		    
	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#projectTable').bootstrapTable('refresh');
		});
	 
	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $("#searchForm  .select-item").html("");
		  $('#projectTable').bootstrapTable('refresh');
		});
		
		$('#beginBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		
	});
		
  function getIdSelections() {
        return $.map($("#projectTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }
  
  function deleteAll(){

		jp.confirm('确认要删除该项目管理表单记录吗？', function(){
			jp.loading();  	
			jp.get("${ctx}/sg/managementcenter/project/deleteAll?ids=" + getIdSelections(), function(data){
         	  		if(data.success){
         	  			$('#projectTable').bootstrapTable('refresh');
         	  			jp.success(data.msg);
         	  		}else{
         	  			jp.error(data.msg);
         	  		}
         	  	})
          	   
		})
  }

    //刷新列表
  function refresh(){
  	$('#projectTable').bootstrapTable('refresh');
  }
  
   function add(){
	  jp.openSaveDialog('新增项目管理表单', "${ctx}/sg/managementcenter/project/form",'800px', '500px');
  }


  
   function edit(id){//没有权限时，不显示确定按钮
       if(id == undefined){
	      id = getIdSelections();
	}
	jp.openSaveDialog('编辑项目管理表单', "${ctx}/sg/managementcenter/project/form?id=" + id, '800px', '500px');
  }
  
 function view(id){//没有权限时，不显示确定按钮
      if(id == undefined){
             id = getIdSelections();
      }
        jp.openViewDialog('查看项目管理表单', "${ctx}/sg/managementcenter/project/form?id=" + id, '800px', '500px');
 }



</script>